<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.analytics.batch.exportimport.internal.dto.v1_0.converter.DXPEntityDTOConverterImpl">
  <property name="dto.class.name" type="String" value="com.liferay.analytics.dxp.entity.rest.dto.v1_0.DXPEntity"/>
  <service>
    <provide interface="com.liferay.portal.vulcan.dto.converter.DTOConverter"/>
  </service>
  <reference name="_analyticsConfigurationRegistry" interface="com.liferay.analytics.settings.configuration.AnalyticsConfigurationRegistry" field="_analyticsConfigurationRegistry"/>
  <reference name="_classNameLocalService" interface="com.liferay.portal.kernel.service.ClassNameLocalService" field="_classNameLocalService"/>
  <reference name="_expandoColumnLocalService" interface="com.liferay.expando.kernel.service.ExpandoColumnLocalService" field="_expandoColumnLocalService"/>
  <reference name="_expandoTableLocalService" interface="com.liferay.expando.kernel.service.ExpandoTableLocalService" field="_expandoTableLocalService"/>
  <reference name="_groupLocalService" interface="com.liferay.portal.kernel.service.GroupLocalService" field="_groupLocalService"/>
  <reference name="_jsonFactory" interface="com.liferay.portal.kernel.json.JSONFactory" field="_jsonFactory"/>
  <reference name="_userLocalService" interface="com.liferay.portal.kernel.service.UserLocalService" field="_userLocalService"/>
  <implementation class="com.liferay.analytics.batch.exportimport.internal.dto.v1_0.converter.DXPEntityDTOConverterImpl"/>
</scr:component>
